Package org.eclipse.emf.cdo.spi.server

# Class CDOCommand.WithAccessor

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.spi.server.CDOCommand
org.eclipse.emf.cdo.spi.server.CDOCommand.WithRepository
org.eclipse.emf.cdo.spi.server.CDOCommand.WithAccessor

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `CDOCommand`

public abstract static class CDOCommand.WithAccessor extends CDOCommand.WithRepository

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

`CDOCommand.CommandException, CDOCommand.CommandParameter, CDOCommand.WithAccessor, CDOCommand.WithRepository`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

`INDENT, PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`WithAccessor(String name, String description)`
`WithAccessor(String name, String description, CDOCommand.CommandParameter... parameters)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`execute(InternalRepository repository, String[] args)`
`abstract void`
`execute(InternalRepository repository, IStoreAccessor accessor, String[] args)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand.WithRepository

`execute`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

`create, duration, execute, executeCommand, getDescription, getInterpreter, getName, getParameters, getSyntax, optional, parameter, parameter, parameters, print, printBundleResource, printDictionary, println, println, printStackTrace, setInterpreter, trimFirstArgument`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WithAccessor

public WithAccessor(String name, String description, CDOCommand.CommandParameter... parameters)

### WithAccessor

public WithAccessor(String name, String description)

## Method Details

### execute

public final void execute(InternalRepository repository, String[] args) throws Exception

Specified by:
  `execute` in class `CDOCommand.WithRepository`
Throws:
  `Exception`

### execute

public abstract void execute(InternalRepository repository, IStoreAccessor accessor, String[] args) throws Exception

Throws:
  `Exception`